/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/

var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
//定义用户当前全局参数
var ls_node=null;//当前选中的Node
queryData.FIELD_FATHER_ID='0';

/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

var v_reportquery = {};
var v_report_tree = jwReportModule.jwReportActAction.listReportTree(v_reportquery);
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"报表信息",
	    iconCls:$.getJwWindowPic(),
	    url:'reportact_listReport',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
				{
					field : 'CODE_ID',
					title : '报表编码',
					width : 80,
					align : 'center'
				},
				{
					field : 'CODE_NAME',
					title : '报表名称',
					width : 100,
					align : 'center'
				},
				{
					field : 'SORT',
					title : '排序',
					width : 100,
					align : 'center'
				},
				{
					field : 'FATHER_ID',
					title : '上级',
					width : 200,
					align : 'left',
					formatter : function(value) {
						return getuuid_codeame(v_report_tree.rowSet, value);
					}
				},
				{
					field : 'VIEWNAME',
					title : '依赖视图',
					width : 100,
					align : 'center'
				},
				{
					field : 'CREATE_USER',
					title : '创建人员',
					width : 100,
					align : 'center'
				},
				{
					field : 'CREATE_DATE',
					title : '创建日期',
					width : 200,
					align : 'center'
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip(60);
		}
});

/****/

/**
 * 序号：4
 * 功能：设置操作列浮动菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>  |  <span class=\"icon-preview\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"printviewRow('"
		+ index + "')\">预览</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 3;
	return is_menu_count;
}

/****/

/**
 * 序号：5
 * 功能：新增弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("report_listReportTabDetail",is_row,"新增",true,0.65,0.65,160,0);
}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	$('#FATHER_ID').combotree('loadData', [v_report_tree.rows[0]]);
	$('#FATHER_ID').combotree('setValue', ls_node.UUID);
}
//保存
function insertData(is_entity){
	var v_result = jwReportModule.jwReportActAction.insertReport(is_entity);
	if(v_result.RETURNUUID!=null &&  v_result.RETURNUUID != undefined){
		var is_index = "UUID,"+v_result.RETURNUUID;
		editRow(is_index);
		reloadTree();
	}
	return null;
}
/****/

/**
 * 序号：6
 * 功能：修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载修改子页面
function editRow(index){
	var is_row = {};
	if(index.indexOf('UUID,')>-1){
		var is_uuid = index.substring(index.indexOf(',')+1);
		var v_query = {};
		v_query.FIELD_UUID = is_uuid;
		is_row = jwReportModule.jwReportActAction.listReportAll(v_query).rowSet;
	}else{
		$('#list').datagrid('selectRow',index);
		is_row = $('#list').datagrid('getSelections');
		$('#list').datagrid('clearSelections');
	}
	is_row[0].OPETYPE = 'update';
	is_row[0].XML_INFO = '';
	openEditRow("report_listReportTabDetail",is_row[0],"编辑",true,0.65,0.65,160,0);	
}
//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	$('#FATHER_ID').combotree('loadData', [v_report_tree.rows[0]]);
	$('#FATHER_ID').combotree('setValue', ls_node.UUID);
	$('#ls_code').html(is_row.UUID);
}
//保存
function updateData(is_entity){
	v_result = jwReportModule.jwReportActAction.updateReport(is_entity);
	reloadTree();
	return v_result;
}
/****/

/**
 * 序号：7
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');

	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = jwReportModule.jwReportActAction.deleteReport(v_query);
			$.messager.alert('提示',v_result.VALUE);
			reloadTree();
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code="";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].UUID+",";
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需删除的行!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = jwReportModule.jwReportActAction.deleteReport(v_query);
			$.messager.alert('提示',v_result.VALUE);
			reloadTree();
		}
	});
}
/****/

/**
 * 序号：9
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	reloadTree();
	$("#listReporttab_searchForm")[0].reset();
}
/****/

/**
 * 序号：10
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#listReporttab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：11
 * 功能：上传
 * 参数：填写限制上传类型,上传地址
 * 说明：openUpload_image(uuid),打开图片上传;
 *      openUpload_doc(uuid),打开常用公文上传;
 *      openUpload_imagedoc(uuid),打开常图片+用公文上传;
 *      如有特殊限制时用以下这段:
 *      var up_type = "gif,jpg,jpeg,bmp,png";//限制上传类型
 *      var up_act = "reportact_upload";//上传地址
 *      openUpload_page1(up_type,up_act,uuid);
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//打开上传页面
function uploadjw(uuid){
	if(uuid == '' || uuid == null || uuid == 'undefined'){
		$.messager.alert('提示',"请保存报表主信息后上传报表模板!",'info');
	    return;
	}
	openUpload_imagedoc(uuid);
}
//上传成功后的回调,主要返回三个参数:
//fname上传时的真实文件名如：文件.txt,
//fpath上传后的真实文件名如：c:\temp\145597044184082388.txt
//uuid主要用于记录跟文件绑定用
function uploadCallback(fname,fpath,uuid){
	var fileOld = fname;
	var filePath = fpath.substring(0,fpath.lastIndexOf("/")+1);
	var filenew = fpath.substring(fpath.lastIndexOf("/")+1);
	$("#UPLOADNEW").textbox('setValue',filenew);
	$("#UPLOADPATH").val(filePath);
	$("#UPLOADOLD").val(fileOld);
	$.messager.alert('提示',"上传成功,请及时保存!",'info');
}
/****/

/**
 * 序号：12
 * 功能：下载
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function downloadjw(uuid){
   var uploadnew = $("#UPLOADNEW").textbox('getValue');
   var uploadpath = $("#UPLOADPATH").val();
   var uploadold = $("#UPLOADOLD").val();
   if(uploadpath == null || uploadpath == ""){
      $.messager.alert('提示',"没有文件可以下载!",'info');
      return;
   }
//   var url = gaowj.WEB_APP_NAME + "/reportact_download?uploadnew="+uploadnew+"&uploadpath="+uploadpath+"&uploadold="+uploadold;
//   window.location = url;
   fileDownload(uploadnew,uploadpath,uploadold,uuid);
}
/****/

/**
 * 序号：13
 * 功能：加载报表树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//setInitTree(节点显示字段,节点显示主题,节点字段UUID,父节点字段)
var setting = setInitTree("CODE_NAME","CODE_NAME","UUID","FATHER_ID");
//加载树时的默认点击
function defautClick(zTree,treeNode){
	if(ls_node == null){
	  ls_node = treeNode;
	  zTree.selectNode(ls_node);
	}else{
		zTree.selectNode(ls_node);
		modifyNode(ls_node);
	}
}
//点击左边节点，datagrid过滤
function modifyNode(treeNode){
	ls_node = treeNode;
	queryData.FIELD_FATHER_ID =treeNode.UUID;
	$('#list').datagrid('load',queryData);
}
//loadTree(后台数据路径,显示的层ID)
loadTree("reportact_listReportAll","listReport_tree","UUID","0");

function reloadTree(){
	loadTree("reportact_listReportAll","listReport_tree","UUID","0");
}
/****/

function printviewRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');

	var code = is_row[0].UUID;
	var url = "report_listReportTabPreview?myMethod=preview&uuid="+code;
//	openEditRow(url,is_row[0],"打印预览",true,1,1,0,0);	
	$('#printview').dialog( {
		title : "打印预览",
		iconCls : $.getJwWindowPic(),
		width : ls_width * 1,
		height :ls_height * 1,
		closed : false,
		cache : false,
		maximizable:true,
		left:0,
		top:0,
		content:'<iframe frameborder="0" scrolling="auto" marginheight="0" marginwidth="0"  src="'+url+'" style="margin:2px 0 0 0;width:100%;height:100%"></iframe>',
		modal : true,
		buttons : [{
			text : '关闭',
			iconCls : 'icon-back',
			handler : function() {
				closeBox('printview');
			}
		} ],
		onLoad:function editUrlOnload(){
			if(is_row.OPETYPE=='insert'){
				addUrlOnloadCallback(is_row);
			}else{
				updateUrlOnloadCallback(is_row);
			}
		}
	});
}

